{"info":{"title":"FireHydrant API","version":"0.0.1"},"swagger":"2.0","produces":["application/json"],"securityDefinitions":{"api_key":{"type":"apiKey","name":"Authorization","in":"header"}},"security":[{"api_key":[]}],"host":"api.firehydrant.io","schemes":["https"],"tags":[{"name":"Call Routes","description":"Operations about Call Routes"},{"name":"Permissions","description":"Operations about Permissions"},{"name":"Roles","description":"Operations about Roles"},{"name":"Audit Events","description":"Operations about Audit Events"},{"name":"Pages","description":"Operations about Pages"},{"name":"Account Settings","description":"Operations related to Account Settings"},{"name":"Alerts","description":"Operations related to Alerts"},{"name":"Audiences","description":"Operations related to Audiences"},{"name":"Changes","description":"Operations related to Changes"},{"name":"Communication","description":"Operations related to Communication"},{"name":"Conversations","description":"Operations related to Conversations"},{"name":"Incidents","description":"Operations related to Incidents"},{"name":"Incident Settings","description":"Operations related to Incident Settings"},{"name":"Integrations","description":"Operations related to Integrations"},{"name":"Metrics/Reporting","description":"Operations related to Metrics & Reporting"},{"name":"Retrospectives","description":"Operations related to Retrospectives"},{"name":"Runbooks","description":"Operations related to Runbooks"},{"name":"SCIM","description":"Operations related to SCIM"},{"name":"Catalog Entries","description":"Operations related to Catalog Entries"},{"name":"Signals","description":"Operations related to Signals"},{"name":"Status Pages","description":"Operations related to Status Pages"},{"name":"Tasks","description":"Operations related to Tasks"},{"name":"Teams","description":"Operations related to Teams"},{"name":"Ticketing","description":"Operations related to Ticketing"},{"name":"Users","description":"Operations related to Users"},{"name":"Webhooks","description":"Operations related to Webhooks"}],"paths":{"/v1/ping":{"get":{"summary":"Check API connectivity","description":"Simple endpoint to verify your API connection is working","produces":["application/json"],"responses":{"200":{"description":"Simple endpoint to verify your API connection is working","schema":{"$ref":"#/definitions/PongEntity"}}},"tags":["Account Settings"],"operationId":"ping"}},"/v1/environments":{"post":{"summary":"Create an environment","description":"Creates an environment for the organization","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_environment","in":"body","required":true,"schema":{"$ref":"#/definitions/create_environment"}}],"responses":{"201":{"description":"Creates an environment for the organization","schema":{"$ref":"#/definitions/EnvironmentEntryEntity"}}},"tags":["Catalog Entries"],"operationId":"create_environment"},"get":{"summary":"List environments","description":"List all of the environments that have been added to the organiation","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"query","description":"A query to search environments by their name or description","type":"string","required":false,"x-nullable":true},{"in":"query","name":"name","description":"A query to search environments by their name","type":"string","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all of the environments that have been added to the organiation","schema":{"$ref":"#/definitions/EnvironmentEntryEntityPaginated"}}},"tags":["Catalog Entries"],"operationId":"list_environments"}},"/v1/environments/{environment_id}":{"delete":{"summary":"Archive an environment","description":"Archive an environment","produces":["application/json"],"parameters":[{"in":"path","name":"environment_id","description":"Environment UUID or slug","type":"string","required":true}],"responses":{"204":{"description":"Archive an environment"}},"tags":["Catalog Entries"],"operationId":"delete_environment"},"patch":{"summary":"Update an environment","description":"Update a environments attributes","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"environment_id","description":"Environment UUID or slug","type":"string","required":true},{"name":"update_environment","in":"body","required":true,"schema":{"$ref":"#/definitions/update_environment"}}],"responses":{"200":{"description":"Update a environments attributes","schema":{"$ref":"#/definitions/EnvironmentEntryEntity"}}},"tags":["Catalog Entries"],"operationId":"update_environment"},"get":{"summary":"Get an environment","description":"Retrieves a single environment by ID","produces":["application/json"],"parameters":[{"in":"path","name":"environment_id","description":"Environment UUID or slug","type":"string","required":true}],"responses":{"200":{"description":"Retrieves a single environment by ID","schema":{"$ref":"#/definitions/EnvironmentEntryEntity"}}},"tags":["Catalog Entries"],"operationId":"get_environment"}},"/v1/environments/{environment_id}/services":{"get":{"summary":"List services for an environment","description":"List services for an environment","produces":["application/json"],"parameters":[{"in":"path","name":"environment_id","type":"string","required":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List services for an environment","schema":{"$ref":"#/definitions/ServiceEntityLitePaginated"}}},"tags":["Catalog Entries"],"operationId":"list_environment_services"}},"/v1/environments/{environment_id}/functionalities":{"get":{"summary":"List functionalities for an environment","description":"List functionalities for an environment","produces":["application/json"],"parameters":[{"in":"path","name":"environment_id","type":"string","required":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List functionalities for an environment","schema":{"$ref":"#/definitions/FunctionalityEntityLitePaginated"}}},"tags":["Catalog Entries"],"operationId":"list_environment_functionalities"}},"/v1/services":{"post":{"summary":"Create a service","description":"Creates a service for the organization, you may also create or attach functionalities to the service on create.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_service","in":"body","required":true,"schema":{"$ref":"#/definitions/create_service"}}],"responses":{"201":{"description":"Creates a service for the organization, you may also create or attach functionalities to the service on create.","schema":{"$ref":"#/definitions/ServiceEntity"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Catalog Entries"],"operationId":"create_service"},"get":{"summary":"List services","description":"List all of the services that have been added to the organization.","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"labels","description":"A comma separated list of label key / values in the format of 'key=value,key2=value2'. To filter change events that have a key (with no specific value), omit the value","type":"string","required":false,"x-nullable":true},{"in":"query","name":"query","description":"A query to search services by their name or description","type":"string","required":false,"x-nullable":true},{"in":"query","name":"name","description":"A query to search services by their name","type":"string","required":false,"x-nullable":true},{"in":"query","name":"tiers","description":"A query to search services by their tier","type":"string","required":false,"x-nullable":true},{"in":"query","name":"impacted","description":"A query to search services by if they are impacted with active incidents","type":"string","required":false,"x-nullable":true},{"in":"query","name":"owner","description":"A query to search services by their owner","type":"string","required":false,"x-nullable":true},{"in":"query","name":"responding_teams","description":"A comma separated list of team ids","type":"string","required":false,"x-nullable":true},{"in":"query","name":"functionalities","description":"A comma separated list of functionality ids","type":"string","required":false,"x-nullable":true},{"in":"query","name":"available_downstream_dependencies_for_id","description":"A query to find services that are available to be downstream dependencies for the passed service ID","type":"string","required":false,"x-nullable":true},{"in":"query","name":"available_upstream_dependencies_for_id","description":"A query to find services that are available to be upstream dependencies for the passed service ID","type":"string","required":false,"x-nullable":true},{"in":"query","name":"lite","description":"Boolean to determine whether to return a slimified version of the services object","type":"boolean","required":false,"x-nullable":true},{"in":"query","name":"include","description":"Use in conjunction with lite param to specify additional attributes to include","type":"array","items":{"type":"string"},"required":false,"x-nullable":true}],"responses":{"200":{"description":"List all of the services that have been added to the organization.","schema":{"$ref":"#/definitions/ServiceEntityPaginated"}}},"tags":["Catalog Entries"],"operationId":"list_services"}},"/v1/services/service_links":{"post":{"summary":"Create multiple services linked to external services","description":"Creates a service with the appropriate integration for each external service ID passed","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_service_links","in":"body","required":true,"schema":{"$ref":"#/definitions/create_service_links"}}],"responses":{"201":{"description":"Creates a service with the appropriate integration for each external service ID passed","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceLinkEntity"}}}},"tags":["Catalog Entries"],"operationId":"create_service_links"}},"/v1/services/{service_id}":{"delete":{"summary":"Delete a service","description":"Deletes the service from FireHydrant.","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true}],"responses":{"204":{"description":"Deletes the service from FireHydrant."}},"tags":["Catalog Entries"],"operationId":"delete_service"},"patch":{"summary":"Update a service","description":"Update a services attributes, you may also add or remove functionalities from the service as well.\nNote: You may not remove or add individual label key/value pairs. You must include the entire object to override label values.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true},{"name":"update_service","in":"body","required":true,"schema":{"$ref":"#/definitions/update_service"}}],"responses":{"200":{"description":"Update a services attributes, you may also add or remove functionalities from the service as well.\nNote: You may not remove or add individual label key/value pairs. You must include the entire object to override label values.\n","schema":{"$ref":"#/definitions/ServiceEntity"}}},"tags":["Catalog Entries"],"operationId":"update_service"},"get":{"summary":"Get a service","description":"Retrieves a single service by ID","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","description":"Service UUID or slug","type":"string","required":true}],"responses":{"200":{"description":"Retrieves a single service by ID","schema":{"$ref":"#/definitions/ServiceEntity"}}},"tags":["Catalog Entries"],"operationId":"get_service"}},"/v1/services/{service_id}/environments":{"get":{"summary":"List environments for a service","description":"List environments for a service","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List environments for a service","schema":{"$ref":"#/definitions/EnvironmentEntryEntityPaginated"}}},"tags":["Catalog Entries"],"operationId":"list_service_environments"}},"/v1/services/{service_id}/dependencies":{"get":{"summary":"List dependencies for a service","description":"Retrieves a service's dependencies","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true},{"in":"query","name":"flatten","description":"If true, returns all dependencies in one array. If false, splits dependencies into different arrays for child and parent dependencies","type":"boolean","required":false,"x-nullable":true}],"responses":{"200":{"description":"Retrieves a service's dependencies","schema":{"$ref":"#/definitions/ServiceWithAllDependenciesEntity"}}},"tags":["Catalog Entries"],"operationId":"get_service_dependencies"}},"/v1/services/{service_id}/available_upstream_dependencies":{"get":{"summary":"List available upstream service dependencies","description":"Retrieves all services that are available to be upstream dependencies","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieves all services that are available to be upstream dependencies","schema":{"$ref":"#/definitions/ServiceEntityLite"}}},"tags":["Catalog Entries"],"operationId":"list_service_available_upstream_dependencies"}},"/v1/services/{service_id}/available_downstream_dependencies":{"get":{"summary":"List available downstream service dependencies","description":"Retrieves all services that are available to be downstream dependencies","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieves all services that are available to be downstream dependencies","schema":{"$ref":"#/definitions/ServiceEntityLite"}}},"tags":["Catalog Entries"],"operationId":"list_service_available_downstream_dependencies"}},"/v1/services/{service_id}/service_links/{remote_id}":{"delete":{"summary":"Delete a service link","description":"Deletes a service link from FireHydrant.","produces":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true},{"in":"path","name":"remote_id","description":"The external service ID which can be found in the JSON\nfrom GET services/:service_id endpoint under\nfunctionalities > external_resources > remote_id\n","type":"string","required":true}],"responses":{"204":{"description":"Deletes a service link from FireHydrant."}},"tags":["Catalog Entries"],"operationId":"delete_service_link"}},"/v1/services/{service_id}/checklist_response/{checklist_id}":{"post":{"summary":"Record a response for a checklist item","description":"Creates a response for a checklist item","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"service_id","type":"string","required":true},{"in":"path","name":"checklist_id","type":"string","required":true},{"name":"create_service_checklist_response","in":"body","required":true,"schema":{"$ref":"#/definitions/create_service_checklist_response"}}],"responses":{"201":{"description":"Creates a response for a checklist item"}},"tags":["Catalog Entries"],"operationId":"create_service_checklist_response"}},"/v1/service_dependencies":{"post":{"summary":"Create a service dependency","description":"Creates a service dependency relationship between two services","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_service_dependency","in":"body","required":true,"schema":{"$ref":"#/definitions/create_service_dependency"}}],"responses":{"201":{"description":"Creates a service dependency relationship between two services","schema":{"$ref":"#/definitions/ServiceDependencyEntity"}}},"tags":["Catalog Entries"],"operationId":"create_service_dependency"}},"/v1/service_dependencies/{service_dependency_id}":{"delete":{"summary":"Delete a service dependency","description":"Deletes a single service dependency","produces":["application/json"],"parameters":[{"in":"path","name":"service_dependency_id","type":"string","required":true}],"responses":{"204":{"description":"Deletes a single service dependency"}},"tags":["Catalog Entries"],"operationId":"delete_service_dependency"},"patch":{"summary":"Update a service dependency","description":"Update the notes of the service dependency","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"service_dependency_id","type":"string","required":true},{"name":"update_service_dependency","in":"body","required":true,"schema":{"$ref":"#/definitions/update_service_dependency"}}],"responses":{"200":{"description":"Update the notes of the service dependency","schema":{"$ref":"#/definitions/ServiceDependencyEntity"}}},"tags":["Catalog Entries"],"operationId":"update_service_dependency"},"get":{"summary":"Get a service dependency","description":"Retrieves a single service dependency by ID","produces":["application/json"],"parameters":[{"in":"path","name":"service_dependency_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieves a single service dependency by ID","schema":{"$ref":"#/definitions/ServiceDependencyEntity"}}},"tags":["Catalog Entries"],"operationId":"get_service_dependency"}},"/v1/functionalities":{"post":{"summary":"Create a functionality","description":"Creates a functionality for the organization","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_functionality","in":"body","required":true,"schema":{"$ref":"#/definitions/create_functionality"}}],"responses":{"201":{"description":"Creates a functionality for the organization","schema":{"$ref":"#/definitions/FunctionalityEntity"}}},"tags":["Catalog Entries"],"operationId":"create_functionality"},"get":{"summary":"List functionalities","description":"List all of the functionalities that have been added to the organiation","produces":["application/json"],"parameters":[{"in":"query","name":"query","description":"A query to search functionalities by their name or description","type":"string","required":false,"x-nullable":true},{"in":"query","name":"name","description":"A query to search functionalities by their name","type":"string","required":false,"x-nullable":true},{"in":"query","name":"impacted","description":"A query to search services by if they are impacted with active incidents","type":"string","required":false,"x-nullable":true},{"in":"query","name":"labels","description":"A comma separated list of label key / values in the format of 'key=value,key2=value2'. To filter change events that have a key (with no specific value), omit the value","type":"string","required":false,"x-nullable":true},{"in":"query","name":"owner","description":"A query to search functionalities by their owning team ID","type":"string","required":false,"x-nullable":true},{"in":"query","name":"lite","description":"Boolean to determine whether to return a slimified version of the functionalities object","type":"boolean","required":false,"x-nullable":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all of the functionalities that have been added to the organiation","schema":{"$ref":"#/definitions/FunctionalityEntityPaginated"}}},"tags":["Catalog Entries"],"operationId":"list_functionalities"}},"/v1/functionalities/{functionality_id}":{"delete":{"summary":"Archive a functionality","description":"Archive a functionality","produces":["application/json"],"parameters":[{"in":"path","name":"functionality_id","type":"string","required":true}],"responses":{"204":{"description":"Archive a functionality"}},"tags":["Catalog Entries"],"operationId":"delete_functionality"},"patch":{"summary":"Update a functionality","description":"Update a functionalities attributes","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"functionality_id","type":"string","required":true},{"name":"update_functionality","in":"body","required":true,"schema":{"$ref":"#/definitions/update_functionality"}}],"responses":{"200":{"description":"Update a functionalities attributes","schema":{"$ref":"#/definitions/FunctionalityEntity"}}},"tags":["Catalog Entries"],"operationId":"update_functionality"},"get":{"summary":"Get a functionality","description":"Retrieves a single functionality by ID","produces":["application/json"],"parameters":[{"in":"path","name":"functionality_id","description":"Functionality UUID or slug","type":"string","required":true}],"responses":{"200":{"description":"Retrieves a single functionality by ID","schema":{"$ref":"#/definitions/FunctionalityEntity"}}},"tags":["Catalog Entries"],"operationId":"get_functionality"}},"/v1/functionalities/{functionality_id}/environments":{"get":{"summary":"List environments for a functionality","description":"List environments for a functionality","produces":["application/json"],"parameters":[{"in":"path","name":"functionality_id","type":"string","required":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List environments for a functionality","schema":{"$ref":"#/definitions/EnvironmentEntryEntityPaginated"}}},"tags":["Catalog Entries"],"operationId":"list_functionality_environments"}},"/v1/functionalities/{functionality_id}/services":{"get":{"summary":"List services for a functionality","description":"List services for a functionality","produces":["application/json"],"parameters":[{"in":"path","name":"functionality_id","type":"string","required":true}],"responses":{"200":{"description":"List services for a functionality","schema":{"$ref":"#/definitions/FunctionalityWithAllServicesEntity"}}},"tags":["Catalog Entries"],"operationId":"list_functionality_services"}},"/v1/teams":{"post":{"summary":"Create a team","description":"Create a new team","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_team","in":"body","required":true,"schema":{"$ref":"#/definitions/create_team"}}],"responses":{"201":{"description":"Create a new team","schema":{"$ref":"#/definitions/TeamEntity"}}},"tags":["Teams"],"operationId":"create_team"},"get":{"summary":"List teams","description":"List all of the teams in the organization","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"query","description":"A query to search teams by their name or description","type":"string","required":false,"x-nullable":true},{"in":"query","name":"name","description":"A query to search teams by their name","type":"string","required":false,"x-nullable":true},{"in":"query","name":"services","description":"A comma separated list of service IDs","type":"string","required":false,"x-nullable":true},{"in":"query","name":"default_incident_role","description":"Filter by teams that have or do not have members with a default incident role asssigned. Value may be 'present', 'blank', or the ID of an incident role.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"lite","description":"Boolean to determine whether to return a slimified version of the teams object","type":"boolean","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all of the teams in the organization","schema":{"$ref":"#/definitions/TeamEntityPaginated"}}},"tags":["Teams"],"operationId":"list_teams"}},"/v1/teams/{team_id}":{"delete":{"summary":"Archive a team","description":"Archives an team which will hide it from lists and metrics","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true}],"responses":{"204":{"description":"Archives an team which will hide it from lists and metrics"}},"tags":["Teams"],"operationId":"delete_team"},"patch":{"summary":"Update a team","description":"Update a single team from its ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"update_team","in":"body","required":true,"schema":{"$ref":"#/definitions/update_team"}}],"responses":{"200":{"description":"Update a single team from its ID","schema":{"$ref":"#/definitions/TeamEntity"}}},"tags":["Teams"],"operationId":"update_team"},"get":{"summary":"Get a team","description":"Retrieve a single team from its ID","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","description":"Team UUID or slug","type":"string","required":true},{"in":"query","name":"lite","description":"Boolean to determine whether to return a slimified version of the teams object","type":"boolean","required":false,"x-nullable":true}],"responses":{"200":{"description":"Retrieve a single team from its ID","schema":{"$ref":"#/definitions/TeamEntity"}}},"tags":["Teams"],"operationId":"get_team"}},"/v1/teams/{team_id}/support_hours_schedule":{"delete":{"summary":"Delete a specific support hours schedule","description":"Delete a specific support hours schedule","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true}],"responses":{"204":{"description":"Delete a specific support hours schedule"}},"tags":["Signals"],"operationId":"delete_support_hours_schedule"},"patch":{"summary":"Update support hours schedule","description":"Update the team's support hours schedule","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"update_support_hours_schedule","in":"body","required":true,"schema":{"$ref":"#/definitions/update_support_hours_schedule"}}],"responses":{"200":{"description":"Update the team's support hours schedule","schema":{"$ref":"#/definitions/SupportHoursScheduleEntity"}}},"tags":["Signals"],"operationId":"update_support_hours_schedule"},"get":{"summary":"Get support hours schedule","description":"Get support hours schedule for the team","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true}],"responses":{"200":{"description":"Get support hours schedule for the team","schema":{"$ref":"#/definitions/SupportHoursScheduleEntity"}}},"tags":["Signals"],"operationId":"get_support_hours_schedule"}},"/v1/teams/{team_id}/call_routes":{"post":{"summary":"Create a call route for a team","description":"Create a call route for a team","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"create_team_call_route","in":"body","required":true,"schema":{"$ref":"#/definitions/create_team_call_route"}}],"responses":{"201":{"description":"Create a call route for a team","schema":{"$ref":"#/definitions/Signals_API_CallRouteEntity"}}},"tags":["Call Routes"],"operationId":"create_team_call_route"},"get":{"summary":"List call routes for a team","description":"List call routes for a team","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true}],"responses":{"200":{"description":"List call routes for a team","schema":{"$ref":"#/definitions/Signals_API_CallRouteEntityPaginated"}}},"tags":["Call Routes"],"operationId":"list_team_call_routes"}},"/v1/teams/{team_id}/escalation_policies":{"post":{"summary":"Create an escalation policy for a team","description":"Create a Signals escalation policy for a team.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"create_team_escalation_policy","in":"body","required":true,"schema":{"$ref":"#/definitions/create_team_escalation_policy"}}],"responses":{"201":{"description":"Create a Signals escalation policy for a team.","schema":{"$ref":"#/definitions/Signals_API_EscalationPolicyEntity"}}},"tags":["Signals"],"operationId":"create_team_escalation_policy"},"get":{"summary":"List escalation policies for a team","description":"List all Signals escalation policies for a team.","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"query","name":"query","description":"A query string for searching through the list of escalation policies.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all Signals escalation policies for a team.","schema":{"$ref":"#/definitions/Signals_API_EscalationPolicyEntityPaginated"}}},"tags":["Signals"],"operationId":"list_team_escalation_policies"}},"/v1/teams/{team_id}/escalation_policies/{id}":{"delete":{"summary":"Delete an escalation policy for a team","description":"Delete a Signals escalation policy by ID","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"id","type":"string","required":true}],"responses":{"204":{"description":"Delete a Signals escalation policy by ID"}},"tags":["Signals"],"operationId":"delete_team_escalation_policy"},"patch":{"summary":"Update an escalation policy for a team","description":"Update a Signals escalation policy by ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"id","type":"string","required":true},{"name":"update_team_escalation_policy","in":"body","required":true,"schema":{"$ref":"#/definitions/update_team_escalation_policy"}}],"responses":{"200":{"description":"Update a Signals escalation policy by ID","schema":{"$ref":"#/definitions/Signals_API_EscalationPolicyEntity"}}},"tags":["Signals"],"operationId":"update_team_escalation_policy"},"get":{"summary":"Get an escalation policy for a team","description":"Get a Signals escalation policy by ID","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"id","type":"string","required":true}],"responses":{"200":{"description":"Get a Signals escalation policy by ID","schema":{"$ref":"#/definitions/Signals_API_EscalationPolicyEntity"}}},"tags":["Signals"],"operationId":"get_team_escalation_policy"}},"/v1/teams/{team_id}/on_call_schedules/preview":{"post":{"summary":"Preview a new on-call schedule for a team","description":"Preview a new on-call schedule based on the provided rotations, allowing you to see how the schedule will look before saving it.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"preview_team_on_call_schedule","in":"body","required":true,"schema":{"$ref":"#/definitions/preview_team_on_call_schedule"}}],"responses":{"201":{"description":"Preview a new on-call schedule based on the provided rotations, allowing you to see how the schedule will look before saving it.","schema":{"$ref":"#/definitions/Signals_API_OnCallSchedulePreviewEntity"}}},"tags":["Signals"],"operationId":"preview_team_on_call_schedule"}},"/v1/teams/{team_id}/on_call_schedules":{"post":{"summary":"Create an on-call schedule for a team","description":"Create a Signals on-call schedule for a team with a single rotation. More rotations can be created later.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"create_team_on_call_schedule","in":"body","required":true,"schema":{"$ref":"#/definitions/create_team_on_call_schedule"}}],"responses":{"201":{"description":"Create a Signals on-call schedule for a team with a single rotation. More rotations can be created later.","schema":{"$ref":"#/definitions/Signals_API_OnCallScheduleEntity"}}},"tags":["Signals"],"operationId":"create_team_on_call_schedule"},"get":{"summary":"List on-call schedules for a team","description":"List all Signals on-call schedules for a team.","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"query","name":"shift_time_window_start","description":"An optional ISO8601 timestamp for filtering the shifts listed in each on-call schedule to only include shifts that overlap with the provided time window. If provided, only shifts that end at or after this time will be included.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"shift_time_window_end","description":"An optional ISO8601 timestamp for filtering the shifts listed in each on-call schedule to only include shifts that overlap with the provided time window.. If provided, only shifts that start at or before this time will be included.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"query","description":"A query string for searching through the list of on-call schedules.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all Signals on-call schedules for a team.","schema":{"$ref":"#/definitions/Signals_API_OnCallScheduleEntityPaginated"}}},"tags":["Signals"],"operationId":"list_team_on_call_schedules"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}":{"delete":{"summary":"Delete an on-call schedule for a team","description":"Delete a Signals on-call schedule by ID","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true}],"responses":{"204":{"description":"Delete a Signals on-call schedule by ID"}},"tags":["Signals"],"operationId":"delete_team_on_call_schedule"},"patch":{"summary":"Update an on-call schedule for a team","description":"Update a Signals on-call schedule by ID. For backwards compatibility, all parameters except for\n`name` and `description` will be ignored if the schedule has more than one rotation. If the schedule\nhas only one rotation, you can continue to update that rotation using the rotation-specific parameters.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"update_team_on_call_schedule","in":"body","required":true,"schema":{"$ref":"#/definitions/update_team_on_call_schedule"}}],"responses":{"200":{"description":"Update a Signals on-call schedule by ID. For backwards compatibility, all parameters except for\n`name` and `description` will be ignored if the schedule has more than one rotation. If the schedule\nhas only one rotation, you can continue to update that rotation using the rotation-specific parameters.\n","schema":{"$ref":"#/definitions/Signals_API_OnCallScheduleEntity"}}},"tags":["Signals"],"operationId":"update_team_on_call_schedule"},"get":{"summary":"Get an on-call schedule for a team","description":"Get a Signals on-call schedule by ID","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"in":"query","name":"shift_time_window_start","description":"An optional ISO8601 timestamp for filtering the shifts listed in each on-call schedule to only include shifts that overlap with the provided time window. If provided, only shifts that end at or after this time will be included.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"shift_time_window_end","description":"An optional ISO8601 timestamp for filtering the shifts listed in each on-call schedule to only include shifts that overlap with the provided time window.. If provided, only shifts that start at or before this time will be included.","type":"string","required":false,"x-nullable":true}],"responses":{"200":{"description":"Get a Signals on-call schedule by ID","schema":{"$ref":"#/definitions/Signals_API_OnCallScheduleEntity"}}},"tags":["Signals"],"operationId":"get_team_on_call_schedule"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations/preview":{"post":{"summary":"Preview an on-call rotation","description":"Preview a new on-call rotation orchanges to an existing on-call rotation","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"preview_on_call_schedule_rotation","in":"body","required":true,"schema":{"$ref":"#/definitions/preview_on_call_schedule_rotation"}}],"responses":{"201":{"description":"Preview a new on-call rotation orchanges to an existing on-call rotation","schema":{"$ref":"#/definitions/Signals_API_OnCallSchedulePreviewEntity_RotationPreviewEntity"}}},"tags":["Signals"],"operationId":"preview_on_call_schedule_rotation"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations":{"post":{"summary":"Create a new on-call rotation","description":"Add a new rotation to an existing on-call schedule","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"create_on_call_schedule_rotation","in":"body","required":true,"schema":{"$ref":"#/definitions/create_on_call_schedule_rotation"}}],"responses":{"201":{"description":"Add a new rotation to an existing on-call schedule","schema":{"$ref":"#/definitions/Signals_API_OnCallRotationEntity"}}},"tags":["Signals"],"operationId":"create_on_call_schedule_rotation"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations/{rotation_id}/copy":{"post":{"summary":"Copy an on-call schedule's rotation","description":"Copy an on-call rotation into a different schedule, allowing you to merge them together safely.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"rotation_id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"copy_on_call_schedule_rotation","in":"body","required":true,"schema":{"$ref":"#/definitions/copy_on_call_schedule_rotation"}}],"responses":{"201":{"description":"Copy an on-call rotation into a different schedule, allowing you to merge them together safely.","schema":{"$ref":"#/definitions/Signals_API_OnCallRotationEntity"}}},"tags":["Signals"],"operationId":"copy_on_call_schedule_rotation"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations/{rotation_id}":{"delete":{"summary":"Delete an on-call schedule's rotation","description":"Delete an on-call schedule's rotation by ID","produces":["application/json"],"parameters":[{"in":"path","name":"rotation_id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true}],"responses":{"204":{"description":"Delete an on-call schedule's rotation by ID"}},"tags":["Signals"],"operationId":"delete_on_call_schedule_rotation"},"patch":{"summary":"Update an on-call schedule's rotation","description":"Update an on-call schedule's rotation by ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"rotation_id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"update_on_call_schedule_rotation","in":"body","required":true,"schema":{"$ref":"#/definitions/update_on_call_schedule_rotation"}}],"responses":{"200":{"description":"Update an on-call schedule's rotation by ID","schema":{"$ref":"#/definitions/Signals_API_OnCallRotationEntity"}}},"tags":["Signals"],"operationId":"update_on_call_schedule_rotation"},"get":{"summary":"Get an on-call rotation","description":"Get an on-call rotation by ID","produces":["application/json"],"parameters":[{"in":"path","name":"rotation_id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true}],"responses":{"200":{"description":"Get an on-call rotation by ID","schema":{"$ref":"#/definitions/Signals_API_OnCallRotationEntity"}}},"tags":["Signals"],"operationId":"get_on_call_schedule_rotation"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations/{rotation_id}/overrides":{"post":{"summary":"Override one or more shifts in an on-call rotation","description":"Create an override covering a specific  time period in an on-call rotation, re-assigning that\nperiod to a specific user, or leaving it unassigned and claimable by any user, or even creating\na purposeful gap in coverage if desired.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"rotation_id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"create_on_call_schedule_rotation_override","in":"body","required":true,"schema":{"$ref":"#/definitions/create_on_call_schedule_rotation_override"}}],"responses":{"201":{"description":"Create an override covering a specific  time period in an on-call rotation, re-assigning that\nperiod to a specific user, or leaving it unassigned and claimable by any user, or even creating\na purposeful gap in coverage if desired.\n","schema":{"$ref":"#/definitions/Signals_API_OnCallOverrideEntity"}}},"tags":["Signals"],"operationId":"create_on_call_schedule_rotation_override"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/shifts":{"post":{"summary":"[DEPRECATED] Create a shift for an on-call schedule","description":"NOTE: This endpoint is deprecated and overrides are now the only way to modify a schedule's shifts.\nFor compatibility, this endpoint will simply create an override for the specified time window.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"create_on_call_shift","in":"body","required":true,"schema":{"$ref":"#/definitions/create_on_call_shift"}}],"responses":{"201":{"description":"NOTE: This endpoint is deprecated and overrides are now the only way to modify a schedule's shifts.\nFor compatibility, this endpoint will simply create an override for the specified time window.\n","schema":{"$ref":"#/definitions/Signals_API_OnCallOverrideEntity"}}},"tags":["Signals"],"operationId":"create_on_call_shift"}},"/v1/teams/{team_id}/on_call_schedules/{schedule_id}/shifts/{id}":{"delete":{"summary":"[DEPRECATED] Delete an on-call shift from a team schedule","description":"NOTE: This endpoint is deprecated and overrides are now the only way to modify a schedule's shifts.\nFor compatibility, this endpoint will simply create a \"gap\" override for the specified time window,\nwhich will still result in no shifts being present for that time window in the final schedule.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true}],"responses":{"204":{"description":"NOTE: This endpoint is deprecated and overrides are now the only way to modify a schedule's shifts.\nFor compatibility, this endpoint will simply create a \"gap\" override for the specified time window,\nwhich will still result in no shifts being present for that time window in the final schedule.\n"}},"tags":["Signals"],"operationId":"delete_on_call_shift"},"patch":{"summary":"[DEPRECATED] Update an on-call shift for a team schedule","description":"NOTE: This endpoint is deprecated and overrides are now the only way to modify a schedule's shifts.\nFor compatibility, this endpoint will simply create an override for the specified time window.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true},{"name":"update_on_call_shift","in":"body","required":true,"schema":{"$ref":"#/definitions/update_on_call_shift"}}],"responses":{"200":{"description":"NOTE: This endpoint is deprecated and overrides are now the only way to modify a schedule's shifts.\nFor compatibility, this endpoint will simply create an override for the specified time window.\n","schema":{"$ref":"#/definitions/Signals_API_OnCallShiftEntity"}}},"tags":["Signals"],"operationId":"update_on_call_shift"},"get":{"summary":"[DEPRECATED] Get an on-call shift for a team schedule","description":"NOTE: This endpoint is deprecated and should not be used due to the fact that overrides may result in\nshifts being split into multiple, separated shifts that still share the same ID. For compatibility, this\nendpoint will still return the specified shift, but it may not reflect later fragments of the same shift\nthat were split off by overrides. You should instead request the rotation itself and inspect the shifts\nthat are returned for the time window you care about.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"string","required":true},{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"schedule_id","type":"string","required":true}],"responses":{"200":{"description":"NOTE: This endpoint is deprecated and should not be used due to the fact that overrides may result in\nshifts being split into multiple, separated shifts that still share the same ID. For compatibility, this\nendpoint will still return the specified shift, but it may not reflect later fragments of the same shift\nthat were split off by overrides. You should instead request the rotation itself and inspect the shifts\nthat are returned for the time window you care about.\n","schema":{"$ref":"#/definitions/Signals_API_OnCallShiftEntity"}}},"tags":["Signals"],"operationId":"get_on_call_shift"}},"/v1/teams/{team_id}/signal_rules":{"post":{"summary":"Create a Signals rule","description":"Create a Signals rule for a team. We support up to 2000 rules per organization.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"name":"create_team_signal_rule","in":"body","required":true,"schema":{"$ref":"#/definitions/create_team_signal_rule"}}],"responses":{"201":{"description":"Create a Signals rule for a team. We support up to 2000 rules per organization.","schema":{"$ref":"#/definitions/Signals_API_RuleEntity"}}},"tags":["Signals"],"operationId":"create_team_signal_rule"},"get":{"summary":"List Signals rules","description":"List all Signals rules for a team.","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"query","name":"query","description":"A query string for searching through the list of alerting rules.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all Signals rules for a team.","schema":{"$ref":"#/definitions/Signals_API_RuleEntityPaginated"}}},"tags":["Signals"],"operationId":"list_team_signal_rules"}},"/v1/teams/{team_id}/signal_rules/{id}":{"delete":{"summary":"Delete a Signals rule","description":"Delete a Signals rule by ID","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"id","type":"string","required":true}],"responses":{"204":{"description":"Delete a Signals rule by ID"}},"tags":["Signals"],"operationId":"delete_team_signal_rule"},"patch":{"summary":"Update a Signals rule","description":"Update a Signals rule by ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"id","type":"string","required":true},{"name":"update_team_signal_rule","in":"body","required":true,"schema":{"$ref":"#/definitions/update_team_signal_rule"}}],"responses":{"200":{"description":"Update a Signals rule by ID","schema":{"$ref":"#/definitions/Signals_API_RuleEntity"}}},"tags":["Signals"],"operationId":"update_team_signal_rule"},"get":{"summary":"Get a Signals rule","description":"Get a Signals rule by ID.","produces":["application/json"],"parameters":[{"in":"path","name":"team_id","type":"string","required":true},{"in":"path","name":"id","type":"string","required":true}],"responses":{"200":{"description":"Get a Signals rule by ID.","schema":{"$ref":"#/definitions/Signals_API_RuleEntity"}}},"tags":["Signals"],"operationId":"get_team_signal_rule"}},"/v1/changes":{"post":{"summary":"Create a new change entry","description":"Create a new change entry","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_change","in":"body","required":true,"schema":{"$ref":"#/definitions/create_change"}}],"responses":{"201":{"description":"Create a new change entry","schema":{"$ref":"#/definitions/ChangeEntity"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Changes"],"operationId":"create_change"},"get":{"summary":"List changes","description":"List changes for the organization","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"query","description":"Filter changes by summary","type":"string","required":false,"x-nullable":true}],"responses":{"200":{"description":"List changes for the organization"}},"tags":["Changes"],"operationId":"list_changes"}},"/v1/changes/{change_id}":{"delete":{"summary":"Archive a change entry","description":"Archive a change entry","produces":["application/json"],"parameters":[{"in":"path","name":"change_id","type":"string","required":true}],"responses":{"204":{"description":"Archive a change entry"}},"tags":["Changes"],"operationId":"delete_change"},"patch":{"summary":"Update a change entry","description":"Update a change entry","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"change_id","type":"string","required":true},{"name":"update_change","in":"body","required":true,"schema":{"$ref":"#/definitions/update_change"}}],"responses":{"200":{"description":"Update a change entry","schema":{"$ref":"#/definitions/ChangeEntity"}}},"tags":["Changes"],"operationId":"update_change"}},"/v1/changes/{change_id}/identities":{"post":{"summary":"Create an identity for a change entry","description":"Create an identity for the change entry","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"change_id","type":"string","required":true},{"name":"create_change_identity","in":"body","required":true,"schema":{"$ref":"#/definitions/create_change_identity"}}],"responses":{"201":{"description":"Create an identity for the change entry","schema":{"$ref":"#/definitions/ChangeIdentityEntity"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Changes"],"operationId":"create_change_identity"},"get":{"summary":"List identities for a change entry","description":"Retrieve all identities for the change entry","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"path","name":"change_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve all identities for the change entry","schema":{"$ref":"#/definitions/ChangeIdentityEntityPaginated"}}},"tags":["Changes"],"operationId":"list_change_identities"}},"/v1/changes/{change_id}/identities/{identity_id}":{"delete":{"summary":"Delete an identity from a change entry","description":"Delete an identity from the change entry","produces":["application/json"],"parameters":[{"in":"path","name":"identity_id","type":"string","required":true},{"in":"path","name":"change_id","type":"string","required":true}],"responses":{"204":{"description":"Delete an identity from the change entry"},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Changes"],"operationId":"delete_change_identity"},"patch":{"summary":"Update an identity for a change entry","description":"Update an identity for the change entry","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"identity_id","type":"string","required":true},{"in":"path","name":"change_id","type":"string","required":true},{"name":"update_change_identity","in":"body","required":true,"schema":{"$ref":"#/definitions/update_change_identity"}}],"responses":{"200":{"description":"Update an identity for the change entry","schema":{"$ref":"#/definitions/ChangeIdentityEntity"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Changes"],"operationId":"update_change_identity"}},"/v1/changes/events":{"post":{"summary":"Create a change event","description":"Create a change event","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_change_event","in":"body","required":true,"schema":{"$ref":"#/definitions/create_change_event"}}],"responses":{"201":{"description":"Create a change event","schema":{"$ref":"#/definitions/ChangeEventEntity"}}},"tags":["Changes"],"operationId":"create_change_event"},"get":{"summary":"List change events","description":"List change events for the organization. Note: Not all information is included on a change event like attachments and related changes. You must fetch a change event separately to retrieve all of the information about it","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"saved_search_id","description":"The id of a previously saved search.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"query","description":"A text query for change events","type":"string","required":false,"x-nullable":true},{"in":"query","name":"labels","description":"A comma separated list of label key / values in the format of \"key=value,key2=value2\". To filter change events that have a key (with no specific value), omit the value","type":"string","required":false,"x-nullable":true},{"in":"query","name":"environments","description":"A comma separated list of environment IDs","type":"string","required":false,"x-nullable":true},{"in":"query","name":"services","description":"A comma separated list of service IDs","type":"string","required":false,"x-nullable":true},{"in":"query","name":"starts_at","description":"The start time to start returning change events from","type":"string","required":false,"x-nullable":true},{"in":"query","name":"ends_at","description":"The end time to return change events up to","type":"string","format":"date-time","required":false,"x-nullable":true}],"responses":{"200":{"description":"List change events for the organization. Note: Not all information is included on a change event like attachments and related changes. You must fetch a change event separately to retrieve all of the information about it","schema":{"$ref":"#/definitions/ChangeEventSlimEntityPaginated"}}},"tags":["Changes"],"operationId":"list_change_events"}},"/v1/changes/events/{change_event_id}":{"delete":{"summary":"Delete a change event","description":"Delete a change event","produces":["application/json"],"parameters":[{"in":"path","name":"change_event_id","type":"string","required":true}],"responses":{"204":{"description":"Delete a change event"}},"tags":["Changes"],"operationId":"delete_change_event"},"patch":{"summary":"Update a change event","description":"Update a change event","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"change_event_id","type":"string","required":true},{"name":"update_change_event","in":"body","required":true,"schema":{"$ref":"#/definitions/update_change_event"}}],"responses":{"200":{"description":"Update a change event","schema":{"$ref":"#/definitions/ChangeEventEntity"}}},"tags":["Changes"],"operationId":"update_change_event"},"get":{"summary":"Get a change event","description":"Retrieve a change event","produces":["application/json"],"parameters":[{"in":"path","name":"change_event_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve a change event","schema":{"$ref":"#/definitions/ChangeEventEntity"}}},"tags":["Changes"],"operationId":"get_change_event"}},"/v1/change_types":{"get":{"summary":"List change types","description":"List change types for the organization","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List change types for the organization","schema":{"$ref":"#/definitions/ChangeTypeEntityPaginated"}}},"tags":["Changes"],"operationId":"list_change_types"}},"/v1/entitlements":{"get":{"summary":"List entitlements","description":"List the organization's entitlements","produces":["application/json"],"parameters":[{"in":"query","name":"name","description":"Name of Entitlement","type":"string","required":false,"x-nullable":true},{"in":"query","name":"type","description":"Type of Entitlement","type":"string","enum":["quota","access"],"required":false,"x-nullable":true}],"responses":{"200":{"description":"List the organization's entitlements","schema":{"$ref":"#/definitions/EntitlementEntityPaginated"}}},"tags":["Account Settings"],"operationId":"list_entitlements"}},"/v1/incidents":{"post":{"summary":"Create an incident","description":"Create a new incident","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"create_incident","in":"body","required":true,"schema":{"$ref":"#/definitions/create_incident"}}],"responses":{"201":{"description":"Create a new incident","schema":{"$ref":"#/definitions/IncidentEntity"}}},"tags":["Incidents"],"operationId":"create_incident"},"get":{"summary":"List incidents","description":"List all of the incidents in the organization","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"conditions","description":"A JSON string that defines 'logic' and 'user_data'","type":"string","required":false,"x-nullable":true},{"in":"query","name":"environments","description":"A comma separated list of environment IDs or 'is_empty' to filter for incidents with no impacted environments. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"services","description":"A comma separated list of service IDs or 'is_empty' to filter for incidents with no impacted services. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"functionalities","description":"A comma separated list of functionality IDs or 'is_empty' to filter for incidents with no impacted functionalities. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"excluded_infrastructure_ids","description":"A comma separated list of infrastructure IDs. Returns incidents that do not have the following infrastructure ids associated with them. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"teams","description":"A comma separated list of team IDs. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"assigned_teams","description":"A comma separated list of IDs for assigned teams or 'is_empty' to filter for incidents with no active team assignments. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"status","description":"Incident status","type":"string","required":false,"x-nullable":true},{"in":"query","name":"start_date","description":"Filters for incidents that started on or after this date","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"end_date","description":"Filters for incidents that started on or before this date","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"resolved_at_or_after","description":"Filters for incidents that were resolved at or after this time. Combine this with the `current_milestones` parameter if you wish to omit incidents that were re-opened and are still active.","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"resolved_at_or_before","description":"Filters for incidents that were resolved at or before this time. Combine this with the `current_milestones` parameter if you wish to omit incidents that were re-opened and are still active.","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"closed_at_or_after","description":"Filters for incidents that were closed at or after this time","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"closed_at_or_before","description":"Filters for incidents that were closed at or before this time","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"created_at_or_after","description":"Filters for incidents that were created at or after this time","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"created_at_or_before","description":"Filters for incidents that were created at or before this time","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"query","description":"A text query for an incident that searches on name, summary, and desciption","type":"string","required":false,"x-nullable":true},{"in":"query","name":"name","description":"A query to search incidents by their name","type":"string","required":false,"x-nullable":true},{"in":"query","name":"saved_search_id","description":"The id of a previously saved search.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"priorities","description":"A text value of priority. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"priority_not_set","description":"Flag for including incidents where priority has not been set","type":"boolean","required":false,"x-nullable":true},{"in":"query","name":"severities","description":"A text value of severity. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"severity_not_set","description":"Flag for including incidents where severity has not been set","type":"boolean","required":false,"x-nullable":true},{"in":"query","name":"current_milestones","description":"A comma separated list of current milestones. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"tags","description":"A comma separated list of tags. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"tag_match_strategy","description":"A matching strategy for the tags provided","type":"string","enum":["any","match_all","exclude"],"required":false,"x-nullable":true},{"in":"query","name":"archived","description":"Return archived incidents","type":"boolean","required":false,"x-nullable":true},{"in":"query","name":"updated_after","description":"Filters for incidents that were updated after this date","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"updated_before","description":"Filters for incidents that were updated before this date","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"query","name":"incident_type_id","description":"A comma separated list of incident type IDs or 'is_empty' to filter for incidents with no incident type. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"custom_fields[field_id]","description":"Custom field ID to filter on","type":"array","required":false,"items":{"type":"string"},"x-nullable":true},{"in":"query","name":"custom_fields[value]","description":"Custom field value (empty means no value set)","type":"array","required":false,"items":{"type":"string"},"x-nullable":true},{"in":"query","name":"retrospective_templates","description":"A comma separated list of retrospective template IDs. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true},{"in":"query","name":"attached_runbooks","description":"A comma separated list of runbook IDs. Accepts a comma-separated string (e.g. `foo=a,b`) or repeated array syntax (e.g. `foo[]=a&foo[]=b`).","type":"string","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all of the incidents in the organization","schema":{"$ref":"#/definitions/IncidentEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incidents"}},"/v1/incidents/{incident_id}/channel":{"get":{"summary":"Get chat channel information for an incident","description":"Gives chat channel information for the specified incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Gives chat channel information for the specified incident","schema":{"$ref":"#/definitions/Incidents_ChannelEntity"}}},"tags":["Incidents"],"operationId":"get_incident_channel"}},"/v1/incidents/{incident_id}/close":{"put":{"summary":"Close an incident","description":"Closes an incident and optionally close all children","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"formData","name":"status_pages[id]","type":"array","required":true,"items":{"type":"string"}},{"in":"formData","name":"status_pages[integration_slug]","type":"array","required":true,"items":{"type":"string"}},{"in":"formData","name":"notify_email_subscribers","description":"When posting to a public status page, whether to also email its subscribers. Defaults to true.","type":"boolean","required":false,"x-nullable":true},{"in":"formData","name":"impact[id]","type":"array","required":true,"items":{"type":"string"}},{"in":"formData","name":"impact[condition_id]","type":"array","required":true,"items":{"type":"string"}}],"responses":{"200":{"description":"Closes an incident and optionally close all children","schema":{"$ref":"#/definitions/IncidentEntity"}}},"tags":["Incidents"],"operationId":"close_incident"}},"/v1/incidents/{incident_id}/resolve":{"put":{"summary":"Resolve an incident","description":"Resolves a currently active incident","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"formData","name":"milestone","description":"The slug of any milestone in the post-incident or closed phase to set on the incident (and its children, if `resolve_children` os set). Must be one of the configured milestones available on this incident.","type":"string","required":false,"x-nullable":true},{"in":"formData","name":"status_pages[id]","type":"array","required":true,"items":{"type":"string"}},{"in":"formData","name":"status_pages[integration_slug]","type":"array","required":true,"items":{"type":"string"}},{"in":"formData","name":"notify_email_subscribers","description":"When posting to a public status page, whether to also email its subscribers. Defaults to true.","type":"boolean","required":false,"x-nullable":true},{"in":"formData","name":"impact[id]","type":"array","required":true,"items":{"type":"string"}},{"in":"formData","name":"impact[condition_id]","type":"array","required":true,"items":{"type":"string"}}],"responses":{"200":{"description":"Resolves a currently active incident","schema":{"$ref":"#/definitions/IncidentEntity"}}},"tags":["Incidents"],"operationId":"resolve_incident"}},"/v1/incidents/{incident_id}":{"delete":{"summary":"Archive an incident","description":"Archives an incident which will hide it from lists and metrics","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"204":{"description":"Archives an incident which will hide it from lists and metrics"}},"tags":["Incidents"],"operationId":"delete_incident"},"patch":{"summary":"Update an incident","description":"Updates an incident with provided parameters","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"update_incident","in":"body","required":true,"schema":{"$ref":"#/definitions/update_incident"}}],"responses":{"200":{"description":"Updates an incident with provided parameters","schema":{"$ref":"#/definitions/IncidentEntity"}}},"tags":["Incidents"],"operationId":"update_incident"},"get":{"summary":"Get an incident","description":"Retrieve a single incident from its ID","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve a single incident from its ID","schema":{"$ref":"#/definitions/IncidentEntity"}}},"tags":["Incidents"],"operationId":"get_incident"}},"/v1/incidents/{incident_id}/unarchive":{"post":{"summary":"Unarchive an incident","description":"Unarchive an incident","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"201":{"description":"Unarchive an incident","schema":{"$ref":"#/definitions/IncidentEntity"}}},"tags":["Incidents"],"operationId":"unarchive_incident"}},"/v1/incidents/{incident_id}/alerts":{"post":{"summary":"Attach an alert to an incident","description":"Add an alert to an incident. FireHydrant needs to have ingested the alert from a third party system in order to attach it to the incident.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"body","name":"alert_ids","description":"Array of alert IDs to be assigned to the incident","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"204":{"description":"Add an alert to an incident. FireHydrant needs to have ingested the alert from a third party system in order to attach it to the incident."}},"tags":["Alerts"],"operationId":"create_incident_alert"},"get":{"summary":"List alerts for an incident","description":"List alerts that have been attached to an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"List alerts that have been attached to an incident","schema":{"$ref":"#/definitions/Incidents_AlertEntityPaginated"}}},"tags":["Alerts"],"operationId":"list_incident_alerts"}},"/v1/incidents/{incident_id}/alerts/{incident_alert_id}/primary":{"patch":{"summary":"Set an alert as primary for an incident","description":"Setting an alert as primary will overwrite milestone times in the FireHydrant incident with times included in the primary alert. Services attached to the primary alert will also be automatically added to the incident.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_alert_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true},{"name":"update_incident_alert_primary","in":"body","required":true,"schema":{"$ref":"#/definitions/update_incident_alert_primary"}}],"responses":{"200":{"description":"Setting an alert as primary will overwrite milestone times in the FireHydrant incident with times included in the primary alert. Services attached to the primary alert will also be automatically added to the incident.","schema":{"$ref":"#/definitions/Incidents_AlertEntity"}}},"tags":["Alerts"],"operationId":"update_incident_alert_primary"}},"/v1/incidents/{incident_id}/alerts/{incident_alert_id}":{"delete":{"summary":"Remove an alert from an incident","description":"Remove an alert from an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_alert_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"204":{"description":"Remove an alert from an incident"}},"tags":["Alerts"],"operationId":"delete_incident_alert"}},"/v1/incidents/{incident_id}/milestones/bulk_update":{"put":{"summary":"Update milestone times","description":"Update milestone times in bulk for a given incident. All milestone\ntimes for an incident must occur in chronological order\ncorresponding to the configured order of milestones. If the result\nof this request would cause any milestone(s) to appear out of place,\na 422 response will instead be returned. This includes milestones\nnot explicitly submitted or updated in this request.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"bulk_update_incident_milestones","in":"body","required":true,"schema":{"$ref":"#/definitions/bulk_update_incident_milestones"}}],"responses":{"200":{"description":"Update milestone times in bulk for a given incident. All milestone\ntimes for an incident must occur in chronological order\ncorresponding to the configured order of milestones. If the result\nof this request would cause any milestone(s) to appear out of place,\na 422 response will instead be returned. This includes milestones\nnot explicitly submitted or updated in this request.\n","schema":{"$ref":"#/definitions/Incidents_MilestoneEntityPaginated"}}},"tags":["Incidents"],"operationId":"bulk_update_incident_milestones"}},"/v1/incidents/{incident_id}/milestones":{"get":{"summary":"List incident milestones","description":"List times and durations for each milestone on an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"List times and durations for each milestone on an incident","schema":{"$ref":"#/definitions/Incidents_MilestoneEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incident_milestones"}},"/v1/incidents/{incident_id}/related_change_events":{"post":{"summary":"Add a related change to an incident","description":"Add a related change to an incident. Changes added to an incident can be causes, fixes, or suspects. To remove a change from an incident, the type field should be set to dismissed.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"create_incident_change_event","in":"body","required":true,"schema":{"$ref":"#/definitions/create_incident_change_event"}}],"responses":{"201":{"description":"Add a related change to an incident. Changes added to an incident can be causes, fixes, or suspects. To remove a change from an incident, the type field should be set to dismissed.","schema":{"$ref":"#/definitions/Incidents_RelatedChangeEventEntity"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}},"409":{"description":"Already Added","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Incidents"],"operationId":"create_incident_change_event"},"get":{"summary":"List related changes on an incident","description":"List related changes that have been attached to an incident","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"type","description":"The type of the relation to the incident","type":"string","enum":["caused","fixed","suspect","dismissed"],"required":false,"x-nullable":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"List related changes that have been attached to an incident","schema":{"$ref":"#/definitions/Incidents_RelatedChangeEventEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incident_change_events"}},"/v1/incidents/{incident_id}/related_change_events/{related_change_event_id}":{"patch":{"summary":"Update a change attached to an incident","description":"Update a change attached to an incident","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"related_change_event_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true},{"name":"update_incident_change_event","in":"body","required":true,"schema":{"$ref":"#/definitions/update_incident_change_event"}}],"responses":{"200":{"description":"Update a change attached to an incident","schema":{"$ref":"#/definitions/Incidents_RelatedChangeEventEntity"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/ErrorEntity"}},"409":{"description":"Already Added","schema":{"$ref":"#/definitions/ErrorEntity"}}},"tags":["Incidents"],"operationId":"update_incident_change_event"}},"/v1/incidents/{incident_id}/status_pages":{"post":{"summary":"Add a status page to an incident","description":"Add a status page to an incident.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"create_incident_status_page","in":"body","required":true,"schema":{"$ref":"#/definitions/create_incident_status_page"}}],"responses":{"201":{"description":"Add a status page to an incident.","schema":{"$ref":"#/definitions/Incidents_StatusPageEntity"}}},"tags":["Incidents"],"operationId":"create_incident_status_page"},"get":{"summary":"List status pages for an incident","description":"List status pages that are attached to an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"List status pages that are attached to an incident","schema":{"$ref":"#/definitions/Incidents_StatusPageEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incident_status_pages"}},"/v1/incidents/{incident_id}/status_pages/{status_page_id}":{"delete":{"summary":"Remove a status page from an incident","description":"Remove a status page incident attached to an incident","produces":["application/json"],"parameters":[{"in":"path","name":"status_page_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"204":{"description":"Remove a status page incident attached to an incident"}},"tags":["Status Pages"],"operationId":"delete_incident_status_page"}},"/v1/incidents/{incident_id}/task_lists":{"post":{"summary":"Add tasks from a task list to an incident","description":"Add all tasks from list to incident","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"create_incident_task_list","in":"body","required":true,"schema":{"$ref":"#/definitions/create_incident_task_list"}}],"responses":{"201":{"description":"Add all tasks from list to incident","schema":{"$ref":"#/definitions/TaskEntity"}}},"tags":["Tasks"],"operationId":"create_incident_task_list"}},"/v1/incidents/{incident_id}/tasks":{"post":{"summary":"Create an incident task","description":"Create a task","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"create_incident_task","in":"body","required":true,"schema":{"$ref":"#/definitions/create_incident_task"}}],"responses":{"201":{"description":"Create a task","schema":{"$ref":"#/definitions/TaskEntity"}}},"tags":["Tasks"],"operationId":"create_incident_task"},"get":{"summary":"List tasks for an incident","description":"Retrieve a list of all tasks for a specific incident","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve a list of all tasks for a specific incident","schema":{"$ref":"#/definitions/TaskEntityPaginated"}}},"tags":["Tasks"],"operationId":"list_incident_tasks"}},"/v1/incidents/{incident_id}/tasks/{task_id}":{"delete":{"summary":"Delete an incident task","description":"Delete a task","produces":["application/json"],"parameters":[{"in":"path","name":"task_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"204":{"description":"Delete a task"}},"tags":["Tasks"],"operationId":"delete_incident_task"},"patch":{"summary":"Update an incident task","description":"Update a task's attributes","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"task_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true},{"name":"update_incident_task","in":"body","required":true,"schema":{"$ref":"#/definitions/update_incident_task"}}],"responses":{"200":{"description":"Update a task's attributes","schema":{"$ref":"#/definitions/TaskEntity"}}},"tags":["Tasks"],"operationId":"update_incident_task"},"get":{"summary":"Get an incident task","description":"Retrieve a single task for an incident","produces":["application/json"],"parameters":[{"in":"path","name":"task_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve a single task for an incident"}},"tags":["Tasks"],"operationId":"get_incident_task"}},"/v1/incidents/{incident_id}/tasks/{task_id}/convert":{"post":{"summary":"Convert a task to a follow-up","description":"Convert a task to a follow-up","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"task_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true},{"name":"convert_incident_task","in":"body","required":true,"schema":{"$ref":"#/definitions/convert_incident_task"}}],"responses":{"201":{"description":"Convert a task to a follow-up","schema":{"$ref":"#/definitions/TaskEntityPaginated"}}},"tags":["Tasks"],"operationId":"convert_incident_task"}},"/v1/incidents/{incident_id}/links":{"get":{"summary":"List links on an incident","description":"List all the editable, external incident links attached to an incident","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"List all the editable, external incident links attached to an incident","schema":{"$ref":"#/definitions/Attachments_LinkEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incident_links"},"post":{"summary":"Add a link to an incident","description":"Allows adding adhoc links to an incident as an attachment","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"name":"create_incident_link","in":"body","required":true,"schema":{"$ref":"#/definitions/create_incident_link"}}],"responses":{"201":{"description":"Allows adding adhoc links to an incident as an attachment","schema":{"$ref":"#/definitions/Attachments_LinkEntity"}}},"tags":["Incidents"],"operationId":"create_incident_link"}},"/v1/incidents/{incident_id}/links/{link_id}":{"delete":{"summary":"Remove a link from an incident","description":"Remove a link from an incident","produces":["application/json"],"parameters":[{"in":"path","name":"link_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"204":{"description":"Remove a link from an incident"}},"tags":["Incidents"],"operationId":"delete_incident_link"},"put":{"summary":"Update the external incident link","description":"Update the external incident link attributes","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"link_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true},{"name":"update_incident_link","in":"body","required":true,"schema":{"$ref":"#/definitions/update_incident_link"}}],"responses":{"200":{"description":"Update the external incident link attributes"}},"tags":["Incidents"],"operationId":"update_incident_link"}},"/v1/incidents/{incident_id}/transcript/attribution":{"put":{"summary":"Update the attribution of a transcript","description":"Update the attribution of a transcript","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"formData","name":"from_speaker","description":"The speaker to attribute the transcript to.","type":"string","required":false,"x-nullable":true},{"in":"formData","name":"from_user_id","description":"The user to attribute the transcript to.","type":"string","required":false,"x-nullable":true},{"in":"formData","name":"to_user_id","description":"The ID of the user to attribute the transcript to.","type":"string","required":true},{"in":"formData","name":"transcript_id","description":"The ID of the specific transcript entry to change attribution for.","type":"string","required":false,"x-nullable":true},{"in":"formData","name":"conference_bridge_id","description":"The ID of the conference bridge to attribute the transcript to.","type":"string","required":false,"x-nullable":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Update the attribution of a transcript"}},"tags":["Incidents"],"operationId":"update_transcript_attribution"}},"/v1/incidents/{incident_id}/transcript":{"get":{"summary":"Lists all of the messages in the incident's transcript","description":"Retrieve the transcript for a specific incident","produces":["application/json"],"parameters":[{"in":"query","name":"after","description":"The ID of the transcript entry to start after.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"before","description":"The ID of the transcript entry to start before.","type":"string","required":false,"x-nullable":true},{"in":"query","name":"sort","description":"The order to sort the transcript entries.","type":"string","default":"asc","enum":["asc","desc"],"required":false,"x-nullable":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve the transcript for a specific incident","schema":{"$ref":"#/definitions/PublicAPI_V1_Incidents_TranscriptEntity"}}},"tags":["Incidents"],"operationId":"list_transcript_entries"}},"/v1/incidents/{incident_id}/transcript/{transcript_id}":{"delete":{"summary":"Delete a transcript from an incident","description":"Delete a transcript from an incident","produces":["application/json"],"parameters":[{"in":"path","name":"transcript_id","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"204":{"description":"Delete a transcript from an incident"}},"tags":["Incidents"],"operationId":"delete_transcript_entry"}},"/v1/incidents/{incident_id}/conference_bridges":{"get":{"summary":"Retrieve all conference bridges for an incident","description":"Retrieve all conference bridges for an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve all conference bridges for an incident","schema":{"$ref":"#/definitions/Incidents_ConferenceBridgeEntity"}}},"tags":["Incidents"],"operationId":"list_incident_conference_bridges"}},"/v1/incidents/{incident_id}/conference_bridges/{id}/translations/{language_code}":{"get":{"summary":"Retrieve the translations for a specific conference bridge","description":"Retrieve the translations for a specific conference bridge","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"The ID of the conference bridge","type":"string","required":true},{"in":"path","name":"language_code","description":"The language code of the translation","type":"string","required":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve the translations for a specific conference bridge","schema":{"$ref":"#/definitions/Incidents_ConferenceBridgeEntity"}}},"tags":["Incidents"],"operationId":"get_conference_bridge_translation"}},"/v1/incidents/{incident_id}/similar":{"get":{"summary":"List similar incidents","description":"Retrieve a list of similar incidents","produces":["application/json"],"parameters":[{"in":"query","name":"threshold","type":"number","format":"float","default":0.2,"required":false,"x-nullable":true},{"in":"query","name":"limit","type":"integer","format":"int32","default":5,"required":false,"x-nullable":true},{"in":"path","name":"incident_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve a list of similar incidents","schema":{"$ref":"#/definitions/SimilarIncidentEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_similar_incidents"}},"/v1/incidents/{incident_id}/attachments":{"get":{"summary":"List attachments for an incident","description":"List attachments for an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"query","name":"attachable_type","type":"string","required":false,"x-nullable":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List attachments for an incident","schema":{"$ref":"#/definitions/Attachments_TypedAttachmentEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incident_attachments"},"post":{"summary":"Add an attachment to the incident timeline","description":"Allows adding image attachments to an incident","produces":["application/json"],"consumes":["multipart/form-data"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"formData","name":"file","type":"file","required":true},{"in":"formData","name":"description","type":"string","required":false,"x-nullable":true},{"in":"formData","name":"occurred_at","type":"string","format":"date-time","required":false,"x-nullable":true},{"in":"formData","name":"vote_direction","type":"string","enum":["up","down"],"required":false,"x-nullable":true}],"responses":{"201":{"description":"Allows adding image attachments to an incident","schema":{"$ref":"#/definitions/IncidentAttachmentEntity"}}},"tags":["Incidents"],"operationId":"create_incident_attachment"}},"/v1/incidents/{incident_id}/events":{"get":{"summary":"List events for an incident","description":"List all events for an incident. An event is a timeline entry. This can be filtered with params to retrieve events of a certain type.","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"query","name":"types","description":"A comma separated list of types of events to filter by. Possible values are:\n - `add_task_list`: Task list was added\n - `alert_event`: Someone was paged or took action on a linked alert\n - `alert_linked`: An alert was linked to the incident\n - `bulk_milestone_update`: When a milestone change occurs with no other changes\n - `bulk_update`: When an incident note/update is posted or when impacted components are updated. If other changes occur together with either of these changes (e.g., milestone change), they are all bundled together into a bulk_update\n - `change_type`: Updates to associated change events\n - `chat_message`: Any chat message event in a linked chat app like Slack or MS Teams\n - `children_changed`: When adding or updating child related incidents\n - `external_link`: When an external link is added or updated\n - `general_update`: Currently only describes Runbook stoppage events\n - `generic_chat_message`: When an event or message is manually added to the timeline via the web UI or API\n - `incident_attachment`: When attachments or files are added to the timeline\n - `generic_resource_change`: Any changes to individual fields within the incident, including custom fields\n - `incident_restriction`: When an incident is converted to private\n - `incident_status`: Only used when an incident starts and changes to an `active` state\n - `note`: When a message is posted to a status page directly and not via `/fh update`\n - `role_update`: Any updates to assigned roles\n - `runbook_attachment`: Any updates to a runbook\n - `runbook_step_execution_update`: Any Runbook step events\n - `task_update`: Task update events\n - `team_assignment`: Team assignment events\n - `ticket_update`: Updates to incident and follow-up tickets","type":"string","required":false,"x-nullable":true},{"in":"query","name":"page","type":"integer","format":"int32","required":false,"x-nullable":true},{"in":"query","name":"per_page","type":"integer","format":"int32","required":false,"x-nullable":true}],"responses":{"200":{"description":"List all events for an incident. An event is a timeline entry. This can be filtered with params to retrieve events of a certain type.","schema":{"$ref":"#/definitions/IncidentEventEntityPaginated"}}},"tags":["Incidents"],"operationId":"list_incident_events"}},"/v1/incidents/{incident_id}/events/{event_id}":{"delete":{"summary":"Delete an incident event","description":"Delete an event for an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"path","name":"event_id","type":"string","required":true}],"responses":{"204":{"description":"Delete an event for an incident"}},"tags":["Incidents"],"operationId":"delete_incident_event"},"patch":{"summary":"Update an incident event","description":"Update a single event for an incident","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"path","name":"event_id","type":"string","required":true}],"responses":{"200":{"description":"Update a single event for an incident","schema":{"$ref":"#/definitions/IncidentEventEntity"}}},"tags":["Incidents"],"operationId":"update_incident_event"},"get":{"summary":"Get an incident event","description":"Retrieve a single event for an incident","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"path","name":"event_id","type":"string","required":true}],"responses":{"200":{"description":"Retrieve a single event for an incident","schema":{"$ref":"#/definitions/IncidentEventEntity"}}},"tags":["Incidents"],"operationId":"get_incident_event"}},"/v1/incidents/{incident_id}/events/{event_id}/votes/status":{"get":{"summary":"Get votes","description":"Get an object's current vote counts","produces":["application/json"],"parameters":[{"in":"path","name":"incident_id","type":"string","required":true},{"in":"path","name":"event_id","type":"string","required":true}],"responses":{"200":{"description":"Get an object's current vote counts","schema":{"$ref":"#/definitions/VotesEntity"}}},"tags":["Conversations"],"operationId":"ge
[...]
